APISchedule tasks

Update a schedule task

Updates an existing task for a given server schedule

Updates an existing task for a given server schedule

PUT
/api/client/servers/{server}/schedules/{schedule}/tasks/{task}

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server identifier

schedule*integer

Schedule identifier

task*integer

Task identifier

Request Body

application/json

Task update data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/client/servers/string/schedules/0/tasks/0" \  -H "Content-Type: application/json" \  -d '{    "action": "command",    "time_offset": 0  }'
{
  "object": "task",
  "attributes": {
    "id": 0,
    "sequence_id": 0,
    "action": "string",
    "payload": "string",
    "time_offset": 0,
    "continue_on_failure": true
  }
}
Empty
Empty
Empty
Empty